## powerdevil 6.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(PowerDevil)
set(PROJECT_VERSION "6.5.1")

set(PROJECT_DEP_VERSION "6.5.1")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets DBus)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(QCoro6 REQUIRED COMPONENTS Core DBus)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Config
    Crash
    DBusAddons
    I18n
    IdleTime
    ItemModels
    GlobalAccel
    KIO
    Kirigami
    KCMUtils
    Notifications
    Runner
    Solid
    WindowSystem
    XmlGui
)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KF6Screen CONFIG REQUIRED)
find_package(LibKWorkspace ${PROJECT_DEP_VERSION} REQUIRED)

find_package(UDev REQUIRED)

find_package(XCB REQUIRED COMPONENTS XCB RANDR DPMS)

find_package(KF6DocTools ${KF6_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES
    DESCRIPTION "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(DDCUtil)
if(DDCUtil_FOUND)
    add_definitions(-DWITH_DDCUTIL)
    set_package_properties(DDCUtil
        PROPERTIES DESCRIPTION "DDCUtil library support"
        TYPE OPTIONAL
        PURPOSE "Set monitor settings over DDC/CI channel"
    )
endif()

find_package(Qt6WaylandClient COMPONENTS Private)
find_package(PlasmaWaylandProtocols 1.19 REQUIRED)
find_package(Wayland REQUIRED COMPONENTS Client)

include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/daemon
)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX POWERDEVIL
                  VERSION_HEADER "${CMAKE_BINARY_DIR}/powerdevil_version.h"
)
ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.9.0
)

add_subdirectory(applets)
add_subdirectory(daemon)
add_subdirectory(kcm)
add_subdirectory(kcm_mobile)

if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

add_subdirectory(runners)

add_subdirectory(autotests)

ecm_qt_install_logging_categories(
        EXPORT POWERDEVIL
        FILE powerdevil.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )
install( FILES powerdevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR} )

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
add_subdirectory(applets)
add_subdirectory(migrateconfig)

=== daemon/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"powerdevil\" -DQT_USE_QSTRINGBUILDER)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(actions)

# target no.1 - powerdevil core library
set(powerdevilcore_SRCS
    powerdevil_debug.cpp
    powerdevilaction.cpp powerdevilaction.h
    powerdevilcore.cpp
    powerdevilenums.cpp powerdevilenums.h
    powerdevilmigrateconfig.cpp powerdevilmigrateconfig.h
    powerdevilpolicyagent.cpp
    powerdevilbrightnesslogic.cpp powerdevilbrightnesslogic.h
    powerdevilscreenbrightnessagent.cpp
    powerdevilscreenbrightnesslogic.cpp powerdevilscreenbrightnesslogic.h
    powerdevilkeyboardbrightnesslogic.cpp powerdevilkeyboardbrightnesslogic.h
    powerdevilpowermanagement.cpp powerdevilpowermanagement.h
    powerdevilsettingsdefaults.cpp powerdevilsettingsdefaults.h
    brightnessosdwidget.cpp brightnessosdwidget.h
    kwinkscreenhelpereffect.cpp kwinkscreenhelpereffect.h
    upowerdevice.cpp upowerdevice.h
    controllers/lidcontroller.cpp controllers/lidcontroller.h
    controllers/batterycontroller.cpp controllers/batterycontroller.h
    controllers/suspendcontroller.cpp controllers/suspendcontroller.h
    controllers/keyboardbrightnesscontroller.cpp controllers/keyboardbrightnesscontroller.h
    controllers/screenbrightnesscontroller.cpp controllers/screenbrightnesscontroller.h
    controllers/displaybrightness.cpp controllers/displaybrightness.h
    controllers/backlightbrightness.cpp controllers/backlightbrightness.h
    controllers/ddcutildetector.cpp controllers/ddcutildetector.h
    controllers/ddcutildisplay.cpp controllers/ddcutildisplay.h
    controllers/udevqtclient.cpp controllers/udevqtclient.h
    controllers/udevqtdevice.cpp controllers/udevqtdevice.h
    controllers/kwinbrightness.cpp controllers/kwinbrightness.h
    controllers/externalbrightnesscontrol.cpp controllers/externalbrightnesscontrol.h
    controllers/displaymatch.h
)

add_library(powerdevil_log_static STATIC)
set_property(TARGET powerdevil_log_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(powerdevil_log_static Qt::Core)
ecm_qt_declare_logging_category(powerdevil_log_static
   HEADER powerdevil_debug.h
   IDENTIFIER POWERDEVIL
   CATEGORY_NAME org.kde.powerdevil
   DEFAULT_SEVERITY Warning
   DESCRIPTION "Powerdevil" EXPORT POWERDEVIL
)

kconfig_add_kcfg_files(powerdevilcore_SRCS
    ${CMAKE_SOURCE_DIR}/PowerDevilGlobalSettings.kcfgc
    ${CMAKE_SOURCE_DIR}/PowerDevilProfileSettings.kcfgc
    ${CMAKE_SOURCE_DIR}/PowerDevilActivitySettings.kcfgc
    GENERATE_MOC
)

# DBus Adaptors

set_source_files_properties(
        dbus/org.freedesktop.UPower.xml
        dbus/org.freedesktop.UPower.Device.xml
        PROPERTIES NO_NAMESPACE TRUE
)

qt_add_dbus_interface(powerdevilcore_SRCS dbus/org.freedesktop.ScreenSaver.xml screenlocker_interface)

qt_add_dbus_interface(powerdevilcore_SRCS dbus/org.freedesktop.UPower.xml upower_interface)

qt_add_dbus_interface(powerdevilcore_SRCS dbus/org.freedesktop.UPower.KbdBacklight.xml upower_kbdbacklight_interface)

qt_add_dbus_adaptor(powerdevilcore_SRCS dbus/org.kde.ScreenBrightness.xml
                                        powerdevilscreenbrightnessagent.h PowerDevil::ScreenBrightnessAgent
                                        screenbrightnessadaptor ScreenBrightnessAdaptor)
qt_add_dbus_adaptor(powerdevilcore_SRCS dbus/org.kde.ScreenBrightness.Display.xml
                                        powerdevilscreenbrightnessagent.h PowerDevil::ScreenBrightnessDisplay
                                        screenbrightnessdisplayadaptor ScreenBrightnessDisplayAdaptor)

add_library(powerdevilcore SHARED ${powerdevilcore_SRCS})
set_target_properties(powerdevilcore PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION 2)

qt6_generate_wayland_protocol_client_sources(powerdevilcore
    FILES ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-external-brightness-v1.xml
)

generate_export_header(powerdevilcore)

# not exported, so just make the deps public
target_link_libraries(powerdevilcore
    Plasma::Activities
    Qt::DBus
    PW::KWorkspace
    KF6::CoreAddons
    KF6::AuthCore
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::DBusAddons
    KF6::I18n
    KF6::Solid
    KF6::IdleTime
    KF6::GlobalAccel
    KF6::Screen
    KF6::Service
    KF6::Notifications
    KF6::XmlGui
    KF6::KirigamiPlatform
    XCB::DPMS
    powerdevil_log_static
    ${UDEV_LIBS}
    Qt::WaylandClient
)

if (XCB_FOUND) # kwin kscreen helper effect
    target_link_libraries(powerdevilcore XCB::XCB Qt::GuiPrivate)
endif ()

if(DDCUTIL_FOUND)
    target_link_libraries(powerdevilcore ${LIBDDCUTIL_LIBRARY})
endif()

# target no.2 - powerdevil kded module
set(powerdevil_SRCS
    powerdevil_debug.cpp
    powerdevilapp.cpp powerdevilapp.h
    powerdevilfdoconnector.cpp
)

# DBus Adaptors
qt_add_dbus_adaptor(powerdevil_SRCS dbus/org.kde.Solid.PowerManagement.xml powerdevilcore.h PowerDevil::Core)
qt_add_dbus_adaptor(powerdevil_SRCS dbus/org.kde.Solid.PowerManagement.PolicyAgent.xml
                                         powerdevilpolicyagent.h PowerDevil::PolicyAgent
                                         powermanagementpolicyagentadaptor PowerManagementPolicyAgentAdaptor)

qt_add_dbus_adaptor(powerdevil_SRCS dbus/org.freedesktop.PowerManagement.xml powerdevilfdoconnector.h PowerDevil::FdoConnector powermanagementfdoadaptor PowerManagementFdoAdaptor)
qt_add_dbus_adaptor(powerdevil_SRCS dbus/org.freedesktop.PowerManagement.Inhibit.xml powerdevilfdoconnector.h PowerDevil::FdoConnector powermanagementinhibitadaptor PowerManagementInhibitAdaptor)

# KAuth charge threshold helper
add_executable(chargethresholdhelper powerdevil_debug.cpp)
if (CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
    target_sources(chargethresholdhelper PRIVATE chargethresholdhelper_openbsd.cpp)
else()
    target_sources(chargethresholdhelper PRIVATE chargethresholdhelper_linux.cpp)
endif()
target_link_libraries(chargethresholdhelper Qt::Core KF6::AuthCore)
install(TARGETS chargethresholdhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(chargethresholdhelper org.kde.powerdevil.chargethresholdhelper root)
kauth_install_actions(org.kde.powerdevil.chargethresholdhelper chargethreshold_helper_actions.actions)

## discrete gpu helper executable
add_executable(discretegpuhelper discretegpuhelper.cpp discretegpuhelper.h ${CMAKE_BINARY_DIR}/daemon/powerdevil_debug.cpp)
target_link_libraries(discretegpuhelper Qt::Core KF6::AuthCore)
install(TARGETS discretegpuhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(discretegpuhelper org.kde.powerdevil.discretegpuhelper root)
kauth_install_actions(org.kde.powerdevil.discretegpuhelper discretegpu_helper_actions.actions)


## backlight helper executable
set(backlighthelpers_SRCS ${CMAKE_BINARY_DIR}/daemon/powerdevil_debug.cpp)
if (CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
    list(APPEND backlighthelpers_SRCS controllers/backlighthelper_freebsd.cpp controllers/backlighthelper_freebsd.h)
else()
    list(APPEND backlighthelpers_SRCS controllers/backlighthelper_linux.cpp controllers/backlighthelper_linux.h)
endif()

add_executable(backlighthelper ${backlighthelpers_SRCS})
target_link_libraries(backlighthelper Qt::Core KF6::AuthCore KF6::I18n)
install(TARGETS backlighthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(backlighthelper org.kde.powerdevil.backlighthelper root)
kauth_install_actions(org.kde.powerdevil.backlighthelper controllers/backlight_helper_actions.actions)

# Wakeup source helper
if (CMAKE_SYSTEM_NAME STREQUAL Linux)
    add_executable(wakeupsourcehelper wakeupsourcehelper.cpp wakeupsourcehelper.h ${CMAKE_BINARY_DIR}/daemon/powerdevil_debug.cpp)
    target_link_libraries(wakeupsourcehelper Qt::Core KF6::AuthCore)
    install(TARGETS wakeupsourcehelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
    kauth_install_helper_files(wakeupsourcehelper org.kde.powerdevil.wakeupsourcehelper root)
    kauth_install_actions(org.kde.powerdevil.wakeupsourcehelper wakeupsource_helper_actions.actions)
endif()

add_executable(powerdevil ${powerdevil_SRCS})
set_target_properties(powerdevil PROPERTIES OUTPUT_NAME org_kde_powerdevil)
configure_file(powerdevil.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/powerdevil.desktop)

target_link_libraries(powerdevil
    KF6::Crash
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    KF6::DBusAddons
    PW::KWorkspace
    powerdevilcore
)
if (XCB_FOUND)
    target_link_libraries(powerdevil Qt::GuiPrivate)
endif ()

target_link_libraries(powerdevil ${UDEV_LIBS})

install(TARGETS powerdevil DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/powerdevil.desktop
        DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(TARGETS powerdevilcore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

set(HAVE_XCB ${XCB_FOUND})
configure_file(config-powerdevil.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-powerdevil.h )

ecm_install_configured_files(INPUT plasma-powerdevil.service.in @ONLY DESTINATION
        ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

=== kcm/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_powerdevilprofilesconfig\")

kcmutils_add_qml_kcm(kcm_powerdevilprofilesconfig)

target_sources(kcm_powerdevilprofilesconfig PRIVATE
    PowerKCM.cpp PowerKCM.h
    ExternalServiceSettings.cpp ExternalServiceSettings.h
    PowerButtonActionModel.cpp PowerButtonActionModel.h
    PowerProfileModel.cpp PowerProfileModel.h
    SleepModeModel.cpp SleepModeModel.h
)

target_link_libraries(kcm_powerdevilprofilesconfig
    Qt::DBus
    KF6::AuthCore
    KF6::KCMUtils
    KF6::Kirigami
    KF6::I18n
    KF6::ItemModels
    KF6::Solid
    powerdevilcore
)

=== applets/batterymonitor/CMakeLists.txt ===
add_subdirectory(plugin)

ecm_qt_install_logging_categories(
        EXPORT APPLETS::BATTERYMONITOR
        FILE applets/batterymonitor.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

plasma_add_applet(org.kde.plasma.battery
    QML_SOURCES
        BatteryItem.qml
        CompactRepresentation.qml
        InhibitionHint.qml
        InhibitionItem.qml
        main.qml
        PopupDialog.qml
        PowerProfileItem.qml
    RESOURCES
        main.xml
    GENERATE_APPLET_CLASS
)

=== applets/batterymonitor/plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(batterymonitorplugin URI org.kde.plasma.private.batterymonitor GENERATE_PLUGIN_SOURCE)

target_sources(batterymonitorplugin PRIVATE
        powerprofilescontrol.cpp powerprofilescontrol.h
        inhibitioncontrol.cpp inhibitioncontrol.h
        applicationdata_p.cpp applicationdata_p.h
        inhibitmonitor_p.cpp inhibitmonitor_p.h
)

target_link_libraries(batterymonitorplugin PRIVATE
        Qt::Core
        Qt::DBus
        Qt::Qml
        Qt::Gui
        KF6::Service
        KF6::I18n
)

ecm_qt_declare_logging_category(batterymonitorplugin
        HEADER "batterymonitor_debug.h"
        IDENTIFIER "APPLETS::BATTERYMONITOR"
        CATEGORY_NAME org.kde.applets.batterymonitor
        DEFAULT_SEVERITY Warning
        DESCRIPTION "Battery Monitor applet" EXPORT "APPLETS::BATTERYMONITOR"
)

ecm_finalize_qml_module(batterymonitorplugin)

=== debian/changelog ===
powerdevil (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:49:23 +0000

powerdevil (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Bump plasma-wayland-protocols bd to 1.19.0
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:40:10 +0100

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcap-dev,
               libcap2-bin,
               libddcutil-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libkscreen-dev (>= 4:6.5.1~),
               liblayershellqtinterface-dev (>= 6.5.1~),
               libplasma-dev (>= 6.5.1~),
               libplasmaactivities-dev (>= 6.5.1~),
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.19.0~),
               plasma-workspace-dev (>= 4:6.5.1~),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/powerdevil
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Rules-Requires-Root: no

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: shared library for the KDE power management features in Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the shared library providing the core features
 of PowerDevil.

Package: powerdevil
Architecture: any
Depends: libcap2-bin [linux-any],
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: power-profiles-daemon, systemsettings,
Breaks: plasma-workspace (<< 4:6.2.0~),
Replaces: plasma-workspace (<< 4:6.2.0~),
Description: KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 The service will:
 .
 - Suspend or shut down sessions under certain conditions such as
 user inactivity, closing the laptop lid or pressing the power button.
 .
 - Adjust the brightness level of displays and keyboards, or turn
 display backlights off/on altogether.
 .
 - Change settings according to the current power state (plugged in,
 battery, low battery), which can be customized in System Settings.
 .
 - Monitor the current battery charge, and set charge thresholds for
 battery-powered devices that support it.
 .
 - Keep track of system state - e.g. suspend/idle/etc. inhibitors,
 activities, screen locking - to adjust power management behaviors
 accordingly.
 .
 - Communicate with underlying services such as UPower,
 power-profiles-daemon, ddcutil, and/or systemd to implement some of
 the above.
 .
 - Provide a D-Bus interface for other Plasma components such as the
 Power Management applet or the Brightness and Color applet.
 .
 This package contains the daemon started alongside the Plasma
 session.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.0~),
Replaces: plasma-workspace-data (<< 4:6.2.0~),
Multi-Arch: foreign
Description: data files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the data files for PowerDevil.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: no
Description: development files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the development files for PowerDevil.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_installdeb:
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/' \
	    debian/powerdevil.postinst.in > debian/powerdevil.postinst
	dh_installdeb

override_dh_auto_test:
	:

## powerdevil 6.5.1+p24.04+vstable+git20251029.0749

=== debian/changelog ===
powerdevil (4:6.5.1+p24.04+vstable+git20251029.0749-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:49:53 +0000

powerdevil (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:04:55 +0000

## powerdevil 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PowerDevil)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== applets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause
add_subdirectory(batterymonitor)
add_subdirectory(brightness)

=== autotests/applets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

if(NOT BUILD_TESTING OR NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    return()
endif()

find_package(SeleniumWebDriverATSPI)
set_package_properties(SeleniumWebDriverATSPI PROPERTIES
    DESCRIPTION "Server component for selenium tests using Linux accessibility infrastructure"
    PURPOSE "Needed for GUI tests"
    URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi"
    TYPE OPTIONAL
)
if(NOT SeleniumWebDriverATSPI_FOUND AND NOT DEFINED ENV{KDECI_BUILD})
    return()
endif()

add_test(
    NAME batterymonitortest_withdisplaydevice
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/batterymonitortest.py --failfast
)
set_tests_properties(batterymonitortest_withdisplaydevice PROPERTIES TIMEOUT 120 ENVIRONMENT "ENABLE_DISPLAY_DEVICE=1;POWERDEVIL_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/org_kde_powerdevil")

add_test(
    NAME batterymonitortest_withoutdisplaydevice
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/batterymonitortest.py --failfast
)
set_tests_properties(batterymonitortest_withoutdisplaydevice PROPERTIES TIMEOUT 120 ENVIRONMENT "ENABLE_DISPLAY_DEVICE=0;POWERDEVIL_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/org_kde_powerdevil")

execute_process(COMMAND gcc -print-file-name=libasan.so OUTPUT_VARIABLE LIBASAN_PATH ECHO_OUTPUT_VARIABLE OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND gcc -print-file-name=libumockdev-preload.so.0 OUTPUT_VARIABLE LIBUMOCKDEV_PATH ECHO_OUTPUT_VARIABLE OUTPUT_STRIP_TRAILING_WHITESPACE)
add_test(
    NAME brightnesstest
    COMMAND selenium-webdriver-at-spi-run env LD_PRELOAD=${LIBASAN_PATH}:${LIBUMOCKDEV_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/brightnesstest.py --failfast
)
set_tests_properties(brightnesstest PROPERTIES TIMEOUT 120 ENVIRONMENT "TEST_WITH_KWIN_WAYLAND=0;POWERDEVIL_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/org_kde_powerdevil;BACKLIGHTHELPER_PATH=${CMAKE_INSTALL_PREFIX}/${KAUTH_HELPER_INSTALL_DIR}/backlighthelper;KDE_INSTALL_DBUSINTERFACEDIR=${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DBUSINTERFACEDIR}")

=== runners/powerdevil/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_powerdevil\")

kcoreaddons_add_plugin(krunner_powerdevil SOURCES PowerDevilRunner.h PowerDevilRunner.cpp INSTALL_NAMESPACE "kf6/krunner")
target_link_libraries(krunner_powerdevil Qt::DBus KF6::ConfigCore KF6::I18n Plasma::Plasma KF6::Runner PW::KWorkspace)

=== debian/changelog ===
powerdevil (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:38:06 +0100

powerdevil (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:19:18 +0100

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcap-dev,
               libcap2-bin,
               libddcutil-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libkscreen-dev (>= 4:6.4.91~),
               liblayershellqtinterface-dev (>= 6.4.91~),
               libplasma-dev (>= 6.5.2~),
               libplasmaactivities-dev (>= 6.5.2~),
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.19~),
               plasma-workspace-dev (>= 4:6.5.2~),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/powerdevil
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: shared library for the KDE power management features in Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the shared library providing the core features
 of PowerDevil.

Package: powerdevil
Architecture: any
Depends: libcap2-bin [linux-any],
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.0-1~),
        powerdevil-data (<< 4:6.3.2-2~),
Replaces: plasma-workspace (<< 4:6.2.0-1~),
          powerdevil-data (<< 4:6.3.2-2~),
Recommends: power-profiles-daemon,
            systemsettings,
Description: KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 The service will:
  - Suspend or shut down sessions under certain conditions such as
    user inactivity, closing the laptop lid or pressing the power
    button.
  - Adjust the brightness level of displays and keyboards, or turn
    display backlights off/on altogether.
  - Change settings according to the current power state (plugged in,
    battery, low battery), which can be customized in System
    Settings.
  - Monitor the current battery charge, and set charge thresholds for
    battery-powered devices that support it.
  - Keep track of system state - e.g. suspend/idle/etc. inhibitors,
    activities, screen locking - to adjust power management behaviors
    accordingly.
  - Communicate with underlying services such as UPower,
    power-profiles-daemon, ddcutil, and/or systemd to implement some
    of the above.
  - Provide a D-Bus interface for other Plasma components such as the
    Power Management applet or the Brightness and Color applet.
 .
 This package contains the daemon started alongside the Plasma
 session.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.0~),
Replaces: plasma-workspace-data (<< 4:6.2.0~),
Multi-Arch: foreign
Description: data files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the data files for PowerDevil.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: no
Description: development files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the development files for PowerDevil.

## powerdevil 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PowerDevil)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
powerdevil (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:28:14 +0100

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
                libkirigami-dev (>= 6.18.0~),
                libkscreen-dev (>= 4:6.4.91~),
                liblayershellqtinterface-dev (>= 6.4.91~),
-               libplasma-dev (>= 6.5.2~),
-               libplasmaactivities-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
+               libplasmaactivities-dev (>= 6.5.3~),
                libudev-dev,
                libwayland-dev,
                libx11-dev,
@@ -45,7 +45,7 @@
                libxrandr-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.19~),
-               plasma-workspace-dev (>= 4:6.5.2~),
+               plasma-workspace-dev (>= 4:6.5.3~),
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.9.0~),
                qt6-base-private-dev,

## powerdevil 6.5.4

=== debian/changelog ===
powerdevil (4:6.5.4-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect qml dependencies. (Closes: #1121528)

 -- Sandro Knauß <hefee@debian.org>  Wed, 31 Dec 2025 16:34:41 +0100

powerdevil (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:50:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
@@ -33,8 +34,8 @@
                libkirigami-dev (>= 6.18.0~),
                libkscreen-dev (>= 4:6.4.91~),
                liblayershellqtinterface-dev (>= 6.4.91~),
-               libplasma-dev (>= 6.5.3~),
-               libplasmaactivities-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
+               libplasmaactivities-dev (>= 6.5.4~),
                libudev-dev,
                libwayland-dev,
                libx11-dev,
@@ -45,10 +46,12 @@
                libxrandr-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.19~),
-               plasma-workspace-dev (>= 4:6.5.3~),
+               plasma-workspace-dev (>= 4:6.5.4~),
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.9.0~),
                qt6-base-private-dev,
+Build-Depends-Arch: plasma-workspace,
+                    qml6-module-org-kde-kirigamiaddons-formcard,
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/powerdevil
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
@@ -73,6 +76,7 @@
 Depends: libcap2-bin [linux-any],
          powerdevil-data (= ${source:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Breaks: plasma-workspace (<< 4:6.2.0-1~),
         powerdevil-data (<< 4:6.3.2-2~),

## powerdevil 6.5.4+p24.04+vstable+git20251226.0444

=== debian/changelog ===
powerdevil (4:6.5.4+p24.04+vstable+git20251226.0444-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 04:44:05 +0000

powerdevil (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:49 +1000

powerdevil (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:14:30 +1000

powerdevil (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:41 +1000

## powerdevil 6.5.4+p24.04+vstable+git20260102.1306

=== debian/changelog ===
powerdevil (4:6.5.4+p24.04+vstable+git20260102.1306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 13:06:40 +0000

## powerdevil 6.5.4+p24.04+vstable+git20260105.1250

=== debian/changelog ===
powerdevil (4:6.5.4+p24.04+vstable+git20260105.1250-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:50:18 +0000

## powerdevil 6.5.4+p24.04+vunstable+git20251210.2300

=== debian/changelog ===
powerdevil (4:6.5.4+p24.04+vunstable+git20251210.2300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 23:01:01 +0000

## powerdevil 6.5.4+p24.04+vunstable+git20260103.0324

=== debian/changelog ===
powerdevil (4:6.5.4+p24.04+vunstable+git20260103.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:24:28 +0000

## powerdevil 6.5.4+p24.04+vunstable+git20260107.1347

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PowerDevil)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
powerdevil (4:6.5.4+p24.04+vunstable+git20260107.1347-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 13:47:59 +0000

## powerdevil 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PowerDevil)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
powerdevil (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 13:00:47 +0000

powerdevil (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:12:01 +0000

powerdevil (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:09:34 +0000

powerdevil (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:24:17 +0000

powerdevil (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:10:29 +0000

powerdevil (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:57 +0000

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcap-dev,
               libcap2-bin,
               libddcutil-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libkscreen-dev (>= 4:6.5.5~),
               liblayershellqtinterface-dev (>= 6.5.5~),
               libplasma-dev (>= 6.5.5~),
               libplasmaactivities-dev (>= 6.5.5~),
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.19.0~),
               plasma-workspace-dev (>= 4:6.5.5~),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/powerdevil
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Rules-Requires-Root: no

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: shared library for the KDE power management features in Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the shared library providing the core features
 of PowerDevil.

Package: powerdevil
Architecture: any
Depends: libcap2-bin [linux-any],
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: power-profiles-daemon, systemsettings,
Breaks: plasma-workspace (<< 4:6.2.0~),
Replaces: plasma-workspace (<< 4:6.2.0~),
Description: KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 The service will:
 .
 - Suspend or shut down sessions under certain conditions such as
 user inactivity, closing the laptop lid or pressing the power button.
 .
 - Adjust the brightness level of displays and keyboards, or turn
 display backlights off/on altogether.
 .
 - Change settings according to the current power state (plugged in,
 battery, low battery), which can be customized in System Settings.
 .
 - Monitor the current battery charge, and set charge thresholds for
 battery-powered devices that support it.
 .
 - Keep track of system state - e.g. suspend/idle/etc. inhibitors,
 activities, screen locking - to adjust power management behaviors
 accordingly.
 .
 - Communicate with underlying services such as UPower,
 power-profiles-daemon, ddcutil, and/or systemd to implement some of
 the above.
 .
 - Provide a D-Bus interface for other Plasma components such as the
 Power Management applet or the Brightness and Color applet.
 .
 This package contains the daemon started alongside the Plasma
 session.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.0~),
Replaces: plasma-workspace-data (<< 4:6.2.0~),
Multi-Arch: foreign
Description: data files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the data files for PowerDevil.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: no
Description: development files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the development files for PowerDevil.

## powerdevil 6.5.5+p24.04+vstable+git20260119.0829

=== debian/changelog ===
powerdevil (4:6.5.5+p24.04+vstable+git20260119.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 19 Jan 2026 08:29:57 +0000

powerdevil (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:31:51 +1000

## powerdevil 6.5.5+p24.04+vstable+git20260122.1307

=== debian/changelog ===
powerdevil (4:6.5.5+p24.04+vstable+git20260122.1307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 13:07:57 +0000

## powerdevil 6.5.5+p24.04+vstable+git20260129.0159

=== debian/changelog ===
powerdevil (4:6.5.5+p24.04+vstable+git20260129.0159-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:59:23 +0000

## powerdevil 6.5.5+p24.04+vstable+git20260130.0912

=== debian/changelog ===
powerdevil (4:6.5.5+p24.04+vstable+git20260130.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:12:42 +0000

## powerdevil 6.5.5+p24.04+vunstable+git20260126.0930

=== debian/changelog ===
powerdevil (4:6.5.5+p24.04+vunstable+git20260126.0930-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:30:18 +0000

## powerdevil 6.5.5+p24.04+vunstable+git20260130.1348

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PowerDevil)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -78,7 +78,7 @@
 endif()
 
 find_package(Qt6WaylandClient COMPONENTS Private)
-find_package(PlasmaWaylandProtocols 1.19 REQUIRED)
+find_package(PlasmaWaylandProtocols 1.20 REQUIRED)
 find_package(Wayland REQUIRED COMPONENTS Client)
 
 include_directories (

=== applets/batterymonitor/CMakeLists.txt ===
--- 
+++ 
@@ -19,3 +19,5 @@
         main.xml
     GENERATE_APPLET_CLASS
 )
+
+add_dependencies(org.kde.plasma.battery batterymonitorplugin)

=== applets/brightness/CMakeLists.txt ===
add_subdirectory(plugin)

ecm_qt_install_logging_categories(
    EXPORT APPLETS::BRIGHTNESS
    FILE applets/brightness.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

plasma_add_applet(org.kde.plasma.brightness
    QML_SOURCES
        BrightnessItem.qml
        CompactRepresentation.qml
        DarkModeItem.qml
        KeyboardColorItem.qml
        main.qml
        NightLightItem.qml
        PopupDialog.qml
    GENERATE_APPLET_CLASS
)

add_dependencies(org.kde.plasma.brightness brightnesscontrolplugin)

=== applets/brightness/plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-FileCopyrightText: 2024 Natalie Clarius <natalie.clarius@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(brightnesscontrolplugin URI org.kde.plasma.private.brightnesscontrolplugin GENERATE_PLUGIN_SOURCE DEPENDENCIES QtCore)
target_sources(brightnesscontrolplugin PRIVATE
    darkmodecontrol.cpp darkmodecontrol.h
    nightlightinhibitor.cpp nightlightinhibitor.h
    screenbrightnesscontrol.cpp screenbrightnesscontrol.h
    screenbrightnessdisplaymodel.cpp screenbrightnessdisplaymodel.h
    keyboardbrightnesscontrol.cpp
    keyboardcolorcontrol.cpp keyboardcolorcontrol.h
)
kconfig_add_kcfg_files(brightnesscontrolplugin brightness_kdeglobalssettings.kcfgc GENERATE_MOC)
target_link_libraries(brightnesscontrolplugin PRIVATE
    Qt::Core
    Qt::DBus
    Qt::Qml
    KF6::ConfigGui
    KF6::Package
    QCoro::Coro
    QCoro::DBus
)

ecm_qt_declare_logging_category(brightnesscontrolplugin
    HEADER "brightnesscontrolplugin_debug.h"
    IDENTIFIER "APPLETS::BRIGHTNESS"
    CATEGORY_NAME org.kde.applets.brightness
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Brightness & Color applet" EXPORT "APPLETS::BRIGHTNESS"
)

ecm_finalize_qml_module(brightnesscontrolplugin)

=== debian/changelog ===
powerdevil (4:6.5.5+p24.04+vunstable+git20260130.1348-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:48:59 +0000
